# External Ids

The API allows certain end-points to be accessed via the externalId as supplied by the user.

The external parameter when used, lists the Ids that are to be replaced.

```
/v1/volleyball/org/1/competitions/NL?external=competitionId
```

Below are a list of all the Ids that can be replaced. These Ids can be replaced in GET, POST, PUT & DELETE calls.

* competitionId
* seasonId
* fixtureId
* siteId
* venueId
* entityGroupId
* entityId
* personId

The allowable format of an externalId is any character except:

* / (forward slash)
* ? (question mark)
* & (ampersand)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/datacore/sports-apis/volleyball/datacore-api-v1/introduction/external-ids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
